package test.ui;

import test.framework.Test;
import test.framework.TestResult;

public class UITestResult extends TestResult {
   private TestRunner fRunner;

   UITestResult(TestRunner runner) {
      this.fRunner = runner;
   }

   public synchronized void addError(Test test, Throwable t) {
      super.addError(test, t);
      this.fRunner.addError(this, test, t);
   }

   public synchronized void addFailure(Test test, Throwable t) {
      super.addFailure(test, t);
      this.fRunner.addFailure(this, test, t);
   }

   public synchronized void endTest(Test test) {
      super.endTest(test);
      this.fRunner.endTest(this, test);
   }
}
